import request from '@/utils/request'

// 查询心愿管理列表
export function listWish(query) {
  return request({
    url: '/szxc/wish/list',
    method: 'get',
    params: query
  })
}

// 查询心愿管理详细
export function getWish(id) {
  return request({
    url: '/szxc/wish/' + id,
    method: 'get'
  })
}

// 新增心愿管理
export function addWish(data) {
  return request({
    url: '/szxc/wish',
    method: 'post',
    data: data
  })
}

// 修改心愿管理
export function updateWish(data) {
  return request({
    url: '/szxc/wish',
    method: 'put',
    data: data
  })
}

// 删除心愿管理
export function delWish(id) {
  return request({
    url: '/szxc/wish/' + id,
    method: 'delete'
  })
}
